org.tmatesoft.svn.core.wc2.admin

## Class SvnRepositoryGetDate

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<V>
  - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation<java.util.Date>
    - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryGetDate

All Implemented Interfaces:
  ISvnOperationOptionsProvider

    public class SvnRepositoryGetDate
    extends SvnRepositoryOperation<java.util.Date>

### Constructor Summary

Constructors
Constructor and Description
`SvnRepositoryGetDate(SvnOperationFactory factory)`

### Method Summary

Methods
`java.lang.String` `getTransactionName()`
`void` `setTransactionName(java.lang.String transactionName)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation

`getRepositoryRoot, isChangesWorkingCopy, setRepositoryRoot`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnRepositoryGetDate

    public SvnRepositoryGetDate(SvnOperationFactory factory)

### Method Detail

#### getTransactionName

    public java.lang.String getTransactionName()

#### setTransactionName

    public void setTransactionName(java.lang.String transactionName)